## vlock 1.3

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,8 @@
 
 CC = gcc
 # remove the -DUSE_PAM, -ldl, and -lpam if you aren't using PAM
-CFLAGS = -O2 -DUSE_PAM
+RPM_OPT_FLAGS=-O2
+CFLAGS = $(RPM_OPT_FLAGS) -DUSE_PAM
 LDFLAGS = -ldl -lpam -lpam_misc
 
 OBJS = vlock.o signals.o help.o terminal.o input.o
