=== debian/changelog ===
vlock (2.2.2-5) unstable; urgency=medium

  * QA upload.
  * Bump debhelper compiled to 7 to process debian/clean.
    + Convert dh_clean -k to dh_prep.
  * Remove dpkg-statoverride for absent module new.so.
  * Remove unneeded dpkg-statoverrides. (Closes: #698860)
    + Change permissions for usr/lib/vlock/modules/*.so and
      usr/sbin/vlock-main during build.
    + Permanently remove now unneded dpkg-statoverride for vlock-main and
      all.so
  * Remove dpkg-statoverrides for nosysrq.so during purge.
    (Closes: #520737)
  * Convert source format to 3.0 (quilt) to add a patch.
  * Do not use fd_set with potentially large indices. Thanks to Jakub Wilk and
    Julien Cristau. (Closes: #754594)

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 15 Jul 2014 23:00:29 +0200

vlock (2.2.2-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA group. (Addresses: #753662)
  * Disable the new.so module, because it is unfixably broken. (Closes:
    #702705)
    + Mention in NEWS.
  * Add debian/source/format.
  * Remove unused lintian override shared-lib-without-dependency-information.
  * Declare compliance with policy version 3.9.5.
    + Add missing build-{arch,indep} targets for policy version 3.9.4.
  * Upgrade debhelper compatibility to 6 from deprecated level 4.
    + Use dh_lintian.
  * Clean config.mk to avoid it ending up in the diff.
  * Enable hardening.
  * Update copyright to refer to GPL-2 rather than GPL.
  * Add ${misc:Depends} to Depends to follow debhelper recommendation.
  * Mark Multi-Arch:foreign.
  * Update watch file to indicate that there is no upstream anymore.
  * Add read-permission to statoverrides. (Closes: #529552)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 04 Jul 2014 19:38:25 +0200

vlock (2.2.2-3) unstable; urgency=low

  * Don't try to chgrp to "vlock" during build time (Closes: #486665)
  * Bump standards version (No changes)

 -- Alexander Wirt <formorer@debian.org>  Tue, 17 Jun 2008 17:13:25 +0200

vlock (2.2.2-2) unstable; urgency=low

  * Fix typo in vlock.postinst (Closes: #486581) 

 -- Alexander Wirt <formorer@debian.org>  Tue, 17 Jun 2008 11:43:13 +0200

vlock (2.2.2-1) unstable; urgency=low

  * New upstream release
  * Depend on adduser (Closes: #480545)
  * Add watchfile (Closes: #456019)

 -- Alexander Wirt <formorer@debian.org>  Sun, 25 May 2008 15:15:41 +0200

vlock (2.1-2) unstable; urgency=low

  * Fix copyright file 
  * Change maintainer

 -- Alexander Wirt <formorer@debian.org>  Wed, 12 Sep 2007 07:21:51 +0200

vlock (2.1-1) unstable; urgency=low

  * New upstream release
    - Support for BSD (Closes: #435580)

 -- Alexander Wirt <formorer@debian.org>  Tue, 11 Sep 2007 07:59:40 +0200

vlock (2.0-4) unstable; urgency=low

  * Fix utf-8 trouble. (Closes: 439619) 

 -- Alexander Wirt <formorer@debian.org>  Sun, 26 Aug 2007 07:41:45 +0200

vlock (2.0-3) unstable; urgency=medium

  * Fix permissions of /usr/sbin/vlock-current

 -- Alexander Wirt <formorer@debian.org>  Sat, 25 Aug 2007 09:58:27 +0200

vlock (2.0-2) unstable; urgency=low

  * Check for overrides every time (Closes: #437822) 

 -- Alexander Wirt <formorer@debian.org>  Fri, 24 Aug 2007 09:44:22 +0200

vlock (2.0-1) unstable; urgency=low

  * New upstream release

 -- Alexander Wirt <formorer@debian.org>  Mon, 13 Aug 2007 19:37:22 +0200

vlock (2.0~rc2-1) experimental; urgency=low

  * New upstream release

 -- Alexander Wirt <formorer@debian.org>  Wed, 08 Aug 2007 13:09:55 +0200

vlock (2.0~rc1-1) unstable; urgency=low

  * New upstream release

 -- Alexander Wirt <formorer@debian.org>  Sun, 05 Aug 2007 16:50:34 +0200

vlock (1.3-10) unstable; urgency=low

  * Add a patch from Guido Guenther that adds better checking for the return
    code of correct_password() (Closes: #364081)
  * Add a patch Daniel Kahn Gillmor thats stats the PAM Session only after
    pressing enter. That prevents some problems with some exclusive-access PAM
    modules like opensc (Closes: #318507)
  * Include common-auth in the pam file (Closes: #265297)
  * Depend on libpam-modules (Closes: #55834) 
  * Bump standards version

 -- Alexander Wirt <formorer@debian.org>  Wed, 19 Jul 2006 20:26:23 +0200

vlock (1.3-9) unstable; urgency=low

  * New Maintainer/Uploaders (closes: #321755).
  * Use debhelper compatibility level 4 instead of level 2.  Accordingly
    adapted the build time dependencies.
  * debian/rules cleanup:
    - removing commented out dh_make cruft,
    - use "rm -f .." instead of "-rm ..",
    - change to "new" chown syntax of chown user:group, replacing user.group.
    - comment out DH_VERBOSE=1
  * Remove debian/conffiles.  It only contained etc/pam.d/vlock, which
    is marked as conffile by debhelper automatically.
  * Increased standards version from 3.5.7.0 to 3.6.2 (no changes necessary).
  * Rename debian/docs to debian/vlock.docs to be consistent with
    debian/vlock.dirs.
  * Fix debian/changelog: Parts have been duplicated in a previous version,
    clean up the mess.
  * Add myself to debian/copyright.
  * Update the address of the Free Software Foundation in debian/copyright.
  * Add lintian override for vlock being suid root.
  * Use dh_install instead of install to copy the vlock binary in place.
    This way we support DEB_BUILD_OPTIONS=nostrip.
  * Remove vlock.man in clean target as it's build by upstream's Makefile
    anyway and we don't need it in the diff.
  * Do not build vlock.man during build.

 -- Peter Palfrader <weasel@debian.org>  Mon, 20 Feb 2006 12:42:06 +0100

vlock (1.3-8) unstable; urgency=medium

  * Argh, forgot about this bug when RL jumped at me.
    Applied patch from RISKO Gergely.
    (closes: #181931)

 -- Zephaniah E. Hull <warp@debian.org>  Sun, 30 Mar 2003 15:32:58 -0500

vlock (1.3-7) unstable; urgency=low

  * Whoops, make sgid again. (So we can ask root's password!)
  * Better error handling for PAM. (closes: #53049)
  * Kill some unused template files in debian/
  * Update standards-version.

