=== debian/control ===
Source: vlock
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), libpam0g-dev
Standards-Version: 3.9.5

Package: vlock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-modules, adduser
Conflicts: suidmanager (<< 0.50)
Multi-Arch: foreign
Description: Virtual Console locking program
 vlock either locks the current terminal (which may be any kind of
 terminal, local or remote), or locks the entire virtual console
 system, completely disabling all console access.  vlock gives up
 these locks when either the password of the user who started vlock
 or the root password is typed.
