=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS := $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

build-indep:
build-arch: build-stamp
build: build-arch build-indep
build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) PREFIX=/usr
	touch build-stamp

config.status: configure
	dh_testdir
	./configure VLOCK_GROUP=root EXTRA_CFLAGS="$(CFLAGS)" EXTRA_LDFLAGS="$(LDFLAGS)"
	sed -i 's/new\.so//' config.mk # disable unfixably insecure module #702705
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/vlock/ PREFIX=/usr 

	dh_lintian
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README SECURITY PLUGINS
	dh_installexamples --exclude=Makefile
	dh_installmenu
	dh_installpam
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chmod 0755 debian/vlock/usr/lib/vlock/modules/*.so
	chmod 4755 debian/vlock/usr/sbin/vlock-main
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install build-arch build-indep
