=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# There is no upstream anymore.
# Former versions were found at:
# http://cthulhu.c3d2.de/~toidinamai/vlock/archive/vlock-([\d\.]*)\.tar.gz
